/**
 * @author        shunzi <tobyzsj@gmail.com>
 * @date          2024-03-26 10:44:40
 */
export declare function isElementNode(node: Node): node is HTMLElement;
export declare function notNil<T>(value: T | null | undefined): value is T;
export declare function memo<TDeps extends readonly any[], Result>(getDeps: () => [...TDeps], fn: (...P: [...TDeps]) => Result): () => NonNullable<Result>;
